Subject: Re: linux-next: manual merge of the staging tree with the tip tree

From: Greg KH <[email-masked]>
Date: Wed, 2 Mar 2016 09:43:35 -0800

On Wed, Mar 02, 2016 at 08:54:39AM +0100, Thomas Gleixner wrote:
> On Wed, 2 Mar 2016, Stephen Rothwell wrote:
> > Hi Greg,
> > 
> > Today's linux-next merge of the staging tree got a conflict in:
> > 
> >   include/linux/irqdomain.h
> > 
> > between commit:
> > 
> >   29d5c8db26ad ("genirq: Add DOMAIN_BUS_IPI")
> > 
> > from the tip tree and commit:
> > 
> >   9b1b282ccd81 ("irqdomain: Added domain bus token DOMAIN_BUS_FSL_MC_MSI")
> > 
> > from the staging tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary (no action
> > is required).
> > 
> > -- 
> > Cheers,
> > Stephen Rothwell
> > 
> > diff --cc include/linux/irqdomain.h
> > index ed48594e96d2,0934d06c8b00..000000000000
> > --- a/include/linux/irqdomain.h
> > +++ b/include/linux/irqdomain.h
> > @@@ -74,7 -74,7 +74,8 @@@ enum irq_domain_bus_token 
> >   	DOMAIN_BUS_PCI_MSI,
> >   	DOMAIN_BUS_PLATFORM_MSI,
> >   	DOMAIN_BUS_NEXUS,
> >  +	DOMAIN_BUS_IPI,
> > + 	DOMAIN_BUS_FSL_MC_MSI,
> 
> Errm. What's that? Did that DOMAIN_BUS_FSL_MC_MSI thingy get any review of the
> irq[domain] maintainers?

For some reason I thought it did, but in looking at the patch series, it
doesn't seem like that happened :(

The patch series started with this message id on lkml:
	Message-ID: <[email-masked]>

German, any reason why you didn't cc: the irqdomain people on this
series?

Thomas, should I revert the series until you have a chance to ack it?

thanks,

greg k-h